%define name python-pyopenssl
%define srcname pyOpenSSL
%define version 0.13
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: Python wrapper module around the OpenSSL library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
Patch0: %{srcname}-%{version}-req.patch
License: APL2
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Jean-Paul Calderone <exarkun@twistedmatrix.com>
Url: http://pyopenssl.sourceforge.net/

BuildRequires: python, python-devel
BuildRequires: openssl-devel
##doc
#BuildRequires: lynx tetex-dvips tetex-latex perl
#solve /bin/sed issue %define __find_requires %{}
Requires: python
Requires: openssl >= 0.9.8, openssl < 1.0.1

%description
High-level wrapper around a subset of the OpenSSL library, includes
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes
...  and much more ;)

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
export OBJECT_MODE=64
python_64 setup.py build

cd ../32bit
export OBJECT_MODE=32
python setup.py build

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/ChangeLog 32bit/INSTALL 32bit/LICENSE 32bit/PKG-INFO 32bit/README 32bit/TODO
%doc 32bit/doc
%{python_sitelib}/*
%{python_sitelib64}/*

%changelog
* Thu Aug 22 2013 Tristan Delhalle <Tristan.Delhalle@ext.bull.net> - 0.13-1
- first version for AIX V6.1 and higher
